View Issue Details

IDProjectCategoryView StatusLast Update
0003571GNUnetcadet servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToBart Polot 
PriorityimmediateSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003571: CADET sends messages too large for core
Descriptiongrothoff@spec:~/svn/gnunet/src/scalarproduct$ ./perf_scalarproduct.sh
Waiting for peers to start...
Running problem of size 1000
Establishing links. Please wait
..
2 links succeeded
0 links failed due to timeouts
Dec 09 22:42:53-594376 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-597103 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-599456 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-600858 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-602308 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-603742 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-605195 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Dec 09 22:42:53-606642 cadet-2694 ERROR Assertion failed at core_api.c:1299.
Steps To ReproduceSet SIZE=1000 at the beginning of 'perf_scalarproduct.sh'. Run it.
Additional InformationCORE restricts messages to GNUNET_CONSTANTS_MAX_ENCRYPTED_MESSAGE_SIZE bytes, which is a bit SMALLER than 64k.
TagsNo tags attached.

Activities

Bart Polot

2014-12-11 04:56

manager   ~0008666

Rev 34524 adds a size check at the cadet api level, clients are not allowed to send more than GNUNET_CONSTANTS_MAX_CADET_MESSAGE_SIZE bytes at a time.

Issue History

Date Modified Username Field Change
2014-12-09 22:46 Christian Grothoff New Issue
2014-12-09 22:46 Christian Grothoff Status new => assigned
2014-12-09 22:46 Christian Grothoff Assigned To => Bart Polot
2014-12-09 23:01 Bart Polot Status assigned => acknowledged
2014-12-11 04:56 Bart Polot Note Added: 0008666
2014-12-11 04:56 Bart Polot Status acknowledged => resolved
2014-12-11 04:56 Bart Polot Fixed in Version => SVN HEAD
2014-12-11 04:56 Bart Polot Resolution open => fixed
2014-12-12 20:25 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed